bm::set2set_11_transform< SV >::gather_buffer< BSIZE > Struct Template Reference

`#include <bmsparsevec_algo.h>`

Inheritance diagram for bm::set2set_11_transform< SV >::gather_buffer< BSIZE >:
[legend]
Collaboration diagram for bm::set2set_11_transform< SV >::gather_buffer< BSIZE >:
[legend]

## Data Fields

size_type BM_VECT_ALIGN gather_idx_[BSIZE] | BM_VECT_ALIGN_ATTR
value_type BM_VECT_ALIGN buffer_[BSIZE] | BM_VECT_ALIGN_ATTR

## Detailed Description

template<typename SV>
template<unsigned BSIZE>
struct bm::set2set_11_transform< SV >::gather_buffer< BSIZE >

Definition at line 1331 of file bmsparsevec_algo.h.

## Field Documentation

## BM_VECT_ALIGN_ATTR [1/2]

template<typename SV>
template<unsigned BSIZE>

value_type BM_VECT_ALIGN buffer_ [BSIZE] bm::set2set_11_transform< SV >::gather_buffer< BSIZE >::BM_VECT_ALIGN_ATTR

Definition at line 1334 of file bmsparsevec_algo.h.

## BM_VECT_ALIGN_ATTR [2/2]

template<typename SV>
template<unsigned BSIZE>

size_type BM_VECT_ALIGN gather_idx_ [BSIZE] bm::set2set_11_transform< SV >::gather_buffer< BSIZE >::BM_VECT_ALIGN_ATTR

Definition at line 1333 of file bmsparsevec_algo.h.

The documentation for this struct was generated from the following file:

- bmsparsevec_algo.h